Leave a space
POST /api/member/communities/{communityId}/spaces/{spaceId}/departure. Leave a space. Headless LMS Communities API reference.
For a member of the community who is not staff. 409 when you are not a member of the space.
Path Parameters
communityId*string
spaceId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/communities/string/spaces/string/departure"{ "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "status": "requested", "source": "request", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Refuse your invitation to a space POST
POST /api/member/communities/{communityId}/spaces/{spaceId}/refusal. Refuse your invitation to a space. Headless LMS Communities API reference.
Remove a person from a space you moderate POST
POST /api/member/communities/{communityId}/spaces/{spaceId}/members/{orgUserId}/removal. Remove a person from a space you moderate. Headless LMS Communities API reference.